SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Generic)  >   XFree Vendors:   XFree86 Project
XFree86 pixmap Integer Overflows May Let Local Users Gain Elevated Privileges
SecurityTracker Alert ID:  1014887
SecurityTracker URL:  http://securitytracker.com/id/1014887
CVE Reference:   CVE-2005-2495   (Links to External Site)
Updated:  Nov 18 2005
Original Entry Date:  Sep 13 2005
Impact:   Execution of arbitrary code via local system, User access via local system

Version(s): 4.5.0
Description:   A vulnerability was reported in XFree86. A local user may be able to gain elevated privileges.

The software does not properly parse pixmap images. A local user can create a specially crafted pixmap image that, when loaded by the target user, will execute arbitrary code with elevate privileges.

The original bug report is available at:

https://bugs.freedesktop.org/show_bug.cgi?id=594

Luke Hutchison reported this vulnerability.

Impact:   A local user may be able to execute arbitrary code with elevated privileges.
Solution:   No upstream fix was available at the time of this entry.

Red Hat has issued a fix for Red Hat Enterprise Linux 2.1:

https://rhn.redhat.com/errata/RHSA-2005-329.html

Red Hat has issued a fix for Red Hat Enterprise Linux 3:

https://rhn.redhat.com/errata/RHSA-2005-501.html

Gentoo has issued a fix for Gentoo Linux:

http://security.gentoo.org/glsa/glsa-200509-07.xml

Red Hat has issued a fix for X11 on Red Hat Enterprise Linux version 4, which is affected by this vulnerability:

https://rhn.redhat.com/errata/RHSA-2005-396.html

Sun has issued T-Patchs for Sun Solaris:

http://sunsolve.sun.com/search/document.do?assetkey=1-26-101926-1

Sun has issued a fix for Sun Java Desktop System (JDS):

http://sunsolve.sun.com/search/document.do?assetkey=1-26-101953-1

Vendor URL:  www.xfree86.org/ (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Sep 13 2005 (Red Hat Issues Fix) XFree86 pixmap Integer Overflows May Let Local Users Gain Elevated Privileges
Red Hat has released a fix.
Sep 13 2005 (Gentoo Issues Fix for X) XFree86 pixmap Integer Overflows May Let Local Users Gain Elevated Privileges
Gentoo has issued a fix.
Sep 13 2005 (Red Hat Issues Fix for X) XFree86 pixmap Integer Overflows May Let Local Users Gain Elevated Privileges
Red Hat has released a fix for xorg-x11, which is affected by the XFree86 vulnerability.
Sep 15 2005 (Red Hat Issues Fix) XFree86 pixmap Integer Overflows May Let Local Users Gain Elevated Privileges
Red Hat has released a fix for Red Hat Enterprise Linux 3.
Sep 16 2005 (Sun Issues Fixes/T-Patches) XFree86 pixmap Integer Overflows May Let Local Users Gain Elevated Privileges
Sun has issued some final fixes and some T-Patches.
Aug 3 2006 (HP Issues Fix for HP-UX) XFree86 pixmap Integer Overflows May Let Local Users Gain Elevated Privileges
HP has issued a fix for HP-UX.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2017, SecurityGlobal.net LLC